import { createApi, fetchBaseQuery } from "@reduxjs/toolkit/query/react";

// This is the foundation for all API endpoints
export const baseApi = createApi({
  reducerPath: "api",
  baseQuery: fetchBaseQuery({ baseUrl: "https://obelia.bytetale.com/api" }),
  endpoints: () => ({}), // Endpoints will be injected separately
});
